📄 MIPYME Documents
Get a paginated list of documents
GET
Endpoint URL
https://api-billing.koywe.com/V1/documents
Requires authentication
Authentication
Send header Authorization: Bearer <token> (obtained from POST /auth) for protected endpoints.
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
page | query | integer | — | |
per_page | query | integer | — | |
issue_date_from | query | string | — | Filter from this date (inclusive). Format AAAA-MM-DD |
issue_date_to | query | string | — | Filter to this date (inclusive). Format AAAA-MM-DD |
taxbureau_sending_status | query | integer | — | 0 = Sending. \ 1XX = Retrying sending. \ 2XX = Rejected by Tax Bureau. \ 1 = Received by Tax Bureau. \ 2 = Closed without sending. \ 3 = Imported from another system. |
taxbureau_validation_status | query | integer | — | 0,1 = In process. \ 2 = Sending rejected by tax bureau. \ 3 = Accepted by tax bureau. \ 4 = Accepted by tax bureau with warnings. \ 5 = Content Rejected by tax bureau. |
document_number | query | string | — | Document number |
document_type_id | query | integer | — | Document type ID according to the country |
received_issued_flag | query | number | — | 0 = issued \ 1 = received |
receiver_tax_id_code | query | string | — | Receiver document number |
receiver_legal_name | query | string | — | Filter to search by the receiver company's name in the document. |
min_total_amount | query | string | — | Filter that allows searching with a minimum of total_amount and also supports using both filters together. |
max_total_amount | query | string | — | Filter that allows searching with a maximum of total_amount and also supports using both filters together. |
reference_document_id | query | integer | — | Filter that allows searching by reference document ID. |
reference_code | query | integer | — | Filter that allows searching by reference code. 1 = cancel, 2 = correct text, 3 = correct quantity, 4 = set, 5 = reference to other non-tax documents, 6 = reference to dispatch guide, 7 = global reference to a type of document (allows reducing the amount for all documents of this type for this particular client). |
reference_number | query | string | — | Filter that allows searching by reference number ONLY for non-tax documents, for tax documents, use the reference_document_id parameter |
reference_type | query | string | — | Filter that allows searching by reference type. This is the document type ONLY for non-tax documents, for tax documents, use the reference_document_id parameter. |
order_by | query | string | — | asc = ascending\ desc = descending\ Filter based on the date, which can also be combined with another parameter. |
document_status | query | integer | — | 0 = Draft\ 1 = Issued\ 2 = Cancelled (mexico)\ Filter based on the document_status: draft, issued or cancelled. |
Responses
200
Successful response